Index: palm/trunk/SOURCE/module_interface.f90
===================================================================
--- palm/trunk/SOURCE/module_interface.f90	(revision 3763)
+++ palm/trunk/SOURCE/module_interface.f90	(revision 3766)
@@ -1151,123 +1157,122 @@
 !> Read module-specific restart data specific to local MPI ranks
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_rrd_local( variable, file_index, map_index,        &
-                                       nxlf, nxlc, nxl_on_file,                &
-                                       nxrf, nxrc, nxr_on_file,                &
-                                       nynf, nync, nyn_on_file,                &
-                                       nysf, nysc, nys_on_file,                &
-                                       tmp_2d, tmp_3d, found )
-
-
-   CHARACTER (LEN=*), INTENT(IN)  ::  variable     !< name of global variable
-   INTEGER(iwp),      INTENT(IN)  ::  file_index   !<
-   INTEGER(iwp),      INTENT(IN)  ::  map_index    !<
-   INTEGER(iwp),      INTENT(IN)  ::  nxlc         !<
-   INTEGER(iwp),      INTENT(IN)  ::  nxlf         !<
-   INTEGER(iwp),      INTENT(IN)  ::  nxl_on_file  !<
-   INTEGER(iwp),      INTENT(IN)  ::  nxrc         !<
-   INTEGER(iwp),      INTENT(IN)  ::  nxrf         !<
-   INTEGER(iwp),      INTENT(IN)  ::  nxr_on_file  !<
-   INTEGER(iwp),      INTENT(IN)  ::  nync         !<
-   INTEGER(iwp),      INTENT(IN)  ::  nynf         !<
-   INTEGER(iwp),      INTENT(IN)  ::  nyn_on_file  !<
-   INTEGER(iwp),      INTENT(IN)  ::  nysc         !<
-   INTEGER(iwp),      INTENT(IN)  ::  nysf         !<
-   INTEGER(iwp),      INTENT(IN)  ::  nys_on_file  !<
-   LOGICAL,           INTENT(OUT) ::  found        !< flag if variable was found
-
-   REAL(wp), DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp), INTENT(OUT) :: tmp_2d   !<
-   REAL(wp), DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp), INTENT(OUT) :: tmp_3d   !<
-
-
-   IF ( .NOT. found ) CALL bio_rrd_local(                                      &
-                              found                                            &
-                           )
-
-   IF ( .NOT. found ) CALL bcm_rrd_local(                                      &
-                              file_index, map_index,                           &
-                              nxlf, nxlc, nxl_on_file,                         &
-                              nxrf, nxrc, nxr_on_file,                         &
-                              nynf, nync, nyn_on_file,                         &
-                              nysf, nysc, nys_on_file,                         &
-                              tmp_2d, tmp_3d, found                            &
-                           ) ! ToDo: change interface to pass variable
-
-   IF ( .NOT. found ) CALL chem_rrd_local(                                     &
-                              file_index, map_index,                           &
-                              nxlf, nxlc, nxl_on_file,                         &
-                              nxrf, nxrc, nxr_on_file,                         &
-                              nynf, nync, nyn_on_file,                         &
-                              nysf, nysc, nys_on_file,                         &
-                              tmp_3d, found                                    &
-                           ) ! ToDo: change interface to pass variable
-
-   IF ( .NOT. found ) CALL gust_rrd_local(                                     &
-                              file_index, map_index,                           &
-                              nxlf, nxlc, nxl_on_file,                         &
-                              nxrf, nxrc, nxr_on_file,                         &
-                              nynf, nync, nyn_on_file,                         &
-                              nysf, nysc, nys_on_file,                         &
-                              tmp_2d, tmp_3d, found                            &
-                           ) ! ToDo: change interface to pass variable
-
-   IF ( .NOT. found ) CALL lsm_rrd_local(                                      &
-                              file_index, map_index,                           &
-                              nxlf, nxlc, nxl_on_file,                         &
-                              nxrf, nxrc, nxr_on_file,                         &
-                              nynf, nync, nyn_on_file,                         &
-                              nysf, nysc, nys_on_file,                         &
-                              tmp_2d, found                                    &
-                           ) ! ToDo: change interface to pass variable
-
-   IF ( .NOT. found ) CALL ocean_rrd_local(                                    &
-                              file_index, map_index,                           &
-                              nxlf, nxlc, nxl_on_file,                         &
-                              nxrf, nxrc, nxr_on_file,                         &
-                              nynf, nync, nyn_on_file,                         &
-                              nysf, nysc, nys_on_file,                         &
-                              tmp_2d, tmp_3d, found                            &
-                           ) ! ToDo: change interface to pass variable
-
-   IF ( .NOT. found ) CALL radiation_rrd_local(                                &
-                              file_index, map_index,                           &
-                              nxlf, nxlc, nxl_on_file,                         &
-                              nxrf, nxrc, nxr_on_file,                         &
-                              nynf, nync, nyn_on_file,                         &
-                              nysf, nysc, nys_on_file,                         &
-                              tmp_2d, tmp_3d, found                            &
-                           ) ! ToDo: change interface to pass variable
-
-   IF ( .NOT. found ) CALL salsa_rrd_local(                                    &
-                              file_index, map_index,                           &
-                              nxlf, nxlc, nxl_on_file,                         &
-                              nxrf, nxrc, nxr_on_file,                         &
-                              nynf, nync, nyn_on_file,                         &
-                              nysf, nysc, nys_on_file,                         &
-                              tmp_3d, found                                    &
-                           ) ! ToDo: change interface to pass variable
-
-   IF ( .NOT. found ) CALL usm_rrd_local(                                      &
-                              file_index, map_index,                           &
-                              nxlf, nxlc, nxl_on_file,                         &
-                              nxrf, nxrc, nxr_on_file,                         &
-                              nynf, nync, nyn_on_file,                         &
-                              nysf, nysc, nys_on_file,                         &
-                              found                                            &
-                           ) ! ToDo: change interface to pass variable
-!
-!--Surface data do not need overlap data, so do not pass these information. 
-   IF ( .NOT. found ) CALL surface_data_output_rrd_local( found )
+ SUBROUTINE module_interface_rrd_local( file_index, map_index,                 &
+                                        nxlf, nxlc, nxl_on_file,               &
+                                        nxrf, nxrc, nxr_on_file,               &
+                                        nynf, nync, nyn_on_file,               &
+                                        nysf, nysc, nys_on_file,               &
+                                        tmp_2d, tmp_3d, found )
+
+
+    INTEGER(iwp),      INTENT(IN)  ::  file_index   !<
+    INTEGER(iwp),      INTENT(IN)  ::  map_index    !<
+    INTEGER(iwp),      INTENT(IN)  ::  nxlc         !<
+    INTEGER(iwp),      INTENT(IN)  ::  nxlf         !<
+    INTEGER(iwp),      INTENT(IN)  ::  nxl_on_file  !<
+    INTEGER(iwp),      INTENT(IN)  ::  nxrc         !<
+    INTEGER(iwp),      INTENT(IN)  ::  nxrf         !<
+    INTEGER(iwp),      INTENT(IN)  ::  nxr_on_file  !<
+    INTEGER(iwp),      INTENT(IN)  ::  nync         !<
+    INTEGER(iwp),      INTENT(IN)  ::  nynf         !<
+    INTEGER(iwp),      INTENT(IN)  ::  nyn_on_file  !<
+    INTEGER(iwp),      INTENT(IN)  ::  nysc         !<
+    INTEGER(iwp),      INTENT(IN)  ::  nysf         !<
+    INTEGER(iwp),      INTENT(IN)  ::  nys_on_file  !<
+    LOGICAL,           INTENT(OUT) ::  found        !< flag if variable was found
+
+    REAL(wp), DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp), INTENT(OUT) :: tmp_2d   !<
+    REAL(wp), DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp), INTENT(OUT) :: tmp_3d   !<
+
+
+    IF ( .NOT. found ) CALL bio_rrd_local(                                     &
+                               found                                           &
+                            )
+
+    IF ( .NOT. found ) CALL bcm_rrd_local(                                     &
+                               file_index, map_index,                          &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_2d, tmp_3d, found                           &
+                            ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found ) CALL chem_rrd_local(                                    &
+                               file_index, map_index,                          &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_3d, found                                   &
+                            ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found ) CALL gust_rrd_local(                                    &
+                               file_index, map_index,                          &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_2d, tmp_3d, found                           &
+                            ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found ) CALL lsm_rrd_local(                                     &
+                               file_index, map_index,                          &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_2d, found                                   &
+                            ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found ) CALL ocean_rrd_local(                                   &
+                               file_index, map_index,                          &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_2d, tmp_3d, found                           &
+                            ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found ) CALL radiation_rrd_local(                               &
+                               file_index, map_index,                          &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_2d, tmp_3d, found                           &
+                            ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found ) CALL salsa_rrd_local(                                   &
+                               file_index, map_index,                          &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_3d, found                                   &
+                            ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found ) CALL usm_rrd_local(                                     &
+                               file_index, map_index,                          &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               found                                           &
+                            ) ! ToDo: change interface to pass variable
+!
+!-- Surface data do not need overlap data, so do not pass these information.
+    IF ( .NOT. found ) CALL surface_data_output_rrd_local( found )
                            
-   IF ( .NOT. found ) CALL user_rrd_local(                                     &
-                              file_index, map_index,                           &
-                              nxlf, nxlc, nxl_on_file,                         &
-                              nxrf, nxrc, nxr_on_file,                         &
-                              nynf, nync, nyn_on_file,                         &
-                              nysf, nysc, nys_on_file,                         &
-                              tmp_3d, found                                    &
-                           ) ! ToDo: change interface to pass variable
-
-
-END SUBROUTINE module_interface_rrd_local
+    IF ( .NOT. found ) CALL user_rrd_local(                                    &
+                               file_index, map_index,                          &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_3d, found                                   &
+                            ) ! ToDo: change interface to pass variable
+
+
+ END SUBROUTINE module_interface_rrd_local
 
 
@@ -1277,21 +1282,21 @@
 !> Write module-specific restart data specific to local MPI ranks
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_wrd_local
-
-
-   IF ( biometeorology )       CALL bio_wrd_local
-   IF ( bulk_cloud_model )     CALL bcm_wrd_local
-   IF ( air_chemistry )        CALL chem_wrd_local
-   IF ( gust_module_enabled )  CALL gust_wrd_local
-   IF ( land_surface )         CALL lsm_wrd_local
-   IF ( ocean_mode )           CALL ocean_wrd_local
-   IF ( radiation )            CALL radiation_wrd_local
-   IF ( salsa )                CALL salsa_wrd_local
-   IF ( urban_surface )        CALL usm_wrd_local
-   IF ( surface_output )       CALL surface_data_output_wrd_local
-   IF ( user_module_enabled )  CALL user_wrd_local
-
-
-END SUBROUTINE module_interface_wrd_local
+ SUBROUTINE module_interface_wrd_local
+
+
+    IF ( biometeorology )       CALL bio_wrd_local
+    IF ( bulk_cloud_model )     CALL bcm_wrd_local
+    IF ( air_chemistry )        CALL chem_wrd_local
+    IF ( gust_module_enabled )  CALL gust_wrd_local
+    IF ( land_surface )         CALL lsm_wrd_local
+    IF ( ocean_mode )           CALL ocean_wrd_local
+    IF ( radiation )            CALL radiation_wrd_local
+    IF ( salsa )                CALL salsa_wrd_local
+    IF ( urban_surface )        CALL usm_wrd_local
+    IF ( surface_output )       CALL surface_data_output_wrd_local
+    IF ( user_module_enabled )  CALL user_wrd_local
+
+
+ END SUBROUTINE module_interface_wrd_local
 
 
@@ -1301,12 +1306,13 @@
 !> Perform module-specific last actions before the program terminates
 !------------------------------------------------------------------------------!
-SUBROUTINE module_interface_last_actions
-
-   IF ( virtual_measurement )  CALL vm_last_actions
-   IF ( user_module_enabled )  CALL user_last_actions
-
-
-END SUBROUTINE module_interface_last_actions
-
-
-END MODULE module_interface
+ SUBROUTINE module_interface_last_actions
+
+
+    IF ( virtual_measurement )  CALL vm_last_actions
+    IF ( user_module_enabled )  CALL user_last_actions
+
+
+ END SUBROUTINE module_interface_last_actions
+
+
+ END MODULE module_interface
Index: palm/trunk/SOURCE/multi_agent_system_mod.f90
===================================================================
--- palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 3763)
+++ palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! save attribute added to local targets to avoid outlive pointer target warning
+! 
+! 3665 2019-01-10 08:28:24Z raasch
 ! unused variables removed
 ! 
@@ -1239,7 +1242,8 @@
 
        INTEGER(iwp), DIMENSION(0:numprocs-1) ::  noa_arr !< number of agents on each PE
-
-       TYPE(agent_type), DIMENSION(:), ALLOCATABLE, TARGET ::  trf_agents !< all agents on current PE
-       TYPE(agent_type), DIMENSION(:), ALLOCATABLE, TARGET ::  out_agents !< all agents in entire domain
+!
+!--    SAVE attribute required to avoid compiler warning about pointer outlive the pointer target
+       TYPE(agent_type), DIMENSION(:), ALLOCATABLE, TARGET, SAVE ::  trf_agents !< all agents on current PE
+       TYPE(agent_type), DIMENSION(:), ALLOCATABLE, TARGET, SAVE ::  out_agents !< all agents in entire domain
 
        LOGICAL, INTENT (INOUT) :: ftest
@@ -1445,5 +1449,5 @@
 
 #endif
-          NULLIFY( agents )
+
 #if defined( __parallel )
           IF ( ALLOCATED( out_agents ) ) DEALLOCATE( out_agents )
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3763)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! bugfix in im_define_netcdf_grid argument list
+! 
+! 3745 2019-02-15 18:57:56Z suehring
 ! Add indoor model
 ! 
@@ -1922,5 +1925,5 @@
                    IF ( .NOT. found .AND. indoor_model ) THEN 
                       CALL im_define_netcdf_grid( do3d(av,i), found,           &
-                                                  grid_x, grid_x, grid_z )
+                                                  grid_x, grid_y, grid_z )
                    ENDIF
 
Index: palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3763)
+++ palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! first argument removed from module_interface_rrd_*
+! 
+! 3668 2019-01-14 12:49:24Z maronga
 ! Removed most_method and increased binary version
 ! 
@@ -775,5 +778,5 @@
 !
 !--             Read global variables from of other modules
-                CALL module_interface_rrd_global( restart_string(1:length), found )
+                CALL module_interface_rrd_global( found )
 
                 IF ( .NOT. found )  THEN
@@ -1797,5 +1800,5 @@
 !--                Read restart data of other modules
                    IF ( .NOT. found ) CALL module_interface_rrd_local(         &
-                                           restart_string(1:length), i, k,     &
+                                           i, k,                               &
                                            nxlf, nxlc, nxl_on_file,            &
                                            nxrf, nxrc, nxr_on_file,            &
Index: palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 3763)
+++ palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! bugfix in surface_data_output_rrd_local (variable k removed)
+! 
+! 3762 2019-02-25 16:54:16Z suehring
 ! Remove unused variables and add preprocessor directives for variables that 
 ! are used only when netcdf4 is defined 
@@ -4509,7 +4512,6 @@
        IMPLICIT NONE
 
-       INTEGER(iwp)       ::  k                 !< running index over previous input files covering current local domain
-
        LOGICAL, INTENT(OUT)  ::  found
+
 !
 !--    Here the reading of user-defined restart data follows:
@@ -4520,5 +4522,5 @@
 
           CASE ( 'surfaces%var_av' )
-             IF ( k == 1 )  READ ( 13 )  surfaces%var_av
+             READ ( 13 )  surfaces%var_av
 
           CASE DEFAULT
Index: palm/trunk/SOURCE/time_integration_spinup.f90
===================================================================
--- palm/trunk/SOURCE/time_integration_spinup.f90	(revision 3763)
+++ palm/trunk/SOURCE/time_integration_spinup.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variable removed
+! 
+! 3719 2019-02-06 13:10:18Z kanani
 ! Removed log_point(19,54,74,50,75), since they count together with same log
 ! points in time_integration, impossible to separate the contributions.
@@ -127,5 +130,5 @@
 
     USE cpulog,                                                                &
-        ONLY:  cpu_log, log_point, log_point_s
+        ONLY:  cpu_log, log_point_s
 
     USE date_and_time_mod,                                                     &
Index: palm/trunk/SOURCE/user_init_land_surface.f90
===================================================================
--- palm/trunk/SOURCE/user_init_land_surface.f90	(revision 3763)
+++ palm/trunk/SOURCE/user_init_land_surface.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables commented out
+! 
+! 3700 2019-01-26 17:03:42Z knoop
 ! Corrected "Former revisions" section
 ! 
@@ -66,7 +69,7 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !< grid index
-    INTEGER(iwp) ::  j  !< grid index
-    INTEGER(iwp) ::  m  !< running index on 1D wall-type grid
+!    INTEGER(iwp) ::  i  !< grid index
+!    INTEGER(iwp) ::  j  !< grid index
+!    INTEGER(iwp) ::  m  !< running index on 1D wall-type grid
 
 !
Index: palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 3763)
+++ palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 3766)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3718 2019-02-06 11:08:28Z suehring
 ! Adjust variable name connections between UC2 and chemistry variables
 ! 
@@ -414,5 +417,4 @@
     
     CHARACTER(LEN=5)    ::  dum                !< dummy string indicate station id
-    CHARACTER(LEN=5)    ::  dummy_read                !< dummy string indicate station id
     CHARACTER(LEN=10), DIMENSION(50) ::  measured_variables_file = '' !< array with all measured variables read from NetCDF
     CHARACTER(LEN=10), DIMENSION(50) ::  measured_variables      = '' !< dummy array with all measured variables that are allowed   
@@ -443,5 +445,5 @@
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  meas_flag !< mask array indicating measurement positions
     
-    LOGICAL ::  chem_include !< flag indicating that chemical species is considered in modelled mechanism
+!    LOGICAL ::  chem_include !< flag indicating that chemical species is considered in modelled mechanism
     LOGICAL ::  on_pe        !< flag indicating that the respective measurement coordinate is on subdomain
     
@@ -1045,6 +1047,4 @@
          
      INTEGER(iwp) ::  i         !< running index over IO blocks    
-     INTEGER(iwp) ::  l         !< running index over all stations
-     INTEGER(iwp) ::  n         !< running index over all measured variables at a station
  
      DO  i = 0, io_blocks-1
